﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}

.lbl {
    font-size: 14px !important;
    display: flex;
    justify-content: end;
    align-items: center;
    height: 100%; 
}

.marginTop5 {
    margin-top: 5px !important;
}

.marginTop10 {
    margin-top: 10px !important;
}

.marginTop15 {
    margin-top: 15px !important;
}

.marginTop20 {
    margin-top: 20px !important;
}

.page-container {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.page-header {
    flex-shrink: 0;
    background-color: white;
    z-index: 10;
}

.page-body {
    overflow-y: auto;
    flex-grow: 1;
}

.pagetitle {
    font-size: 16px !important;
    font-weight: 600 !important;
    font-family: system-ui !important;
}

.modaltitle {
    font-size: 16px !important;
    font-weight: 600 !important;
    font-family: system-ui !important;
}

.requiredEntry::before {
    content: "*";
    color: red;
    margin-right: 4px;
}

.requiredEntry::after {
    content: none !important;
}

.chklabel {
    max-width: fit-content !important;
}

.chklabel p {
    font-size: 14px;
}

.mud-switch-label-medium {
    font-size: 14px !important;
}


fieldset.scheduler-border {
    border: 1px groove #b5b5b5 !important;
    padding: 0px 6px 5px 6px;
}

legend.scheduler-border {
    font-size: 0.8rem !important;
    font-weight: 500 !important;
    float: none !important;
    width: auto !important;
    color: black;
}

.scheduler-border {
    border: 1px solid #ccc;
    border-radius: 8px;
    position: relative;
    padding:12px;
    margin-top:6px;
}

.scheduler-bordertitle {
    position: absolute;
    top: -0.75rem;
    left: 1rem;
    background: white;
    padding: 0 0.3rem;
    font-weight: 600;
    color: black;
}

.customeTitle {
    font-size: 1.2rem;
    font-weight: 600;
} 

.mud-input > input.mud-input-root-outlined {
    padding: 6px 8px !important;
    font-size: 14px !important;
}

.mud-select .mud-select-input .mud-input-slot {
    padding: 6px 8px !important;
    font-size: 14px !important;
}

.mud-input > textarea.mud-input-root-outlined {
    font-size: 14px !important;
}

.k-tabstrip {
    border: none;
}

.k-tabstrip-items .k-item {
    color: #2F74AB !important;
    background: #ffffff !important;
    border: none;
    padding: 8px 14px;
    font-weight: 500;
}

    .k-tabstrip-items .k-item:hover {
        color: #2F74AB;
        background: #c3e1f9;
    }

    .k-tabstrip-items .k-item.k-active {
        color: #0E3B5F;
        background: #c3e1f9;
        box-shadow: inset 0 -2px 0 0 #1a8ccc;
    }

        .k-tabstrip-items .k-item.k-active:hover {
            background: #c3e1f9;
        }

    .k-tabstrip-items .k-item .k-link {
        color: inherit;
    }

    .k-tabstrip-items .k-item:focus-within,
    .k-tabstrip-items .k-item.k-focus {
        outline: 2px solid #1a8ccc;
        outline-offset: 2px;
    }

.k-tabstrip-items {
    border-bottom: 1px solid #eeeeee;
}

/* REFERENCE for Btns
---------------------
Save, Update - btnSave
Add (jyare list page thi Add page par javu hoy eva case ma) - btnAdd
Select - btnSelect
Close - btnClose
Delete (icon, in grid) - red
Edit (icon, in grid) - green
Filter - btnFilter
Reset - btnReset
Clear (fields only) - btnClear
Refresh (whole page) - btnRefresh
Search - btnSearch
View - btnView
Extra 1, 2, 3, 4 - btnExtra1, btnExtra2, btnExtra3, btnExtra4 */

.btnClose {
    background-color: #d90000 !important;
}

.btnAdd {
    background-color: #9e7a2c !important;
}

.btnFilter, .btnSearch {
    background-color: #8b122ccb !important;
}

.btnRefresh {
    background-color: #473d8bcb !important;
}

.btnClear, .btnReset {
    background-color: #77972d !important;
}

.btnSave {
    background-color: #e78b00 !important;
}

.btnSelect, .btnView {
    background-color: #1684c4 !important;
}

.btnExtra1 {
    background-color: #488181 !important;
}

.btnExtra2 {
    background-color: #4567a7 !important;
}

.btnExtra3 {
    background-color: #ad3f7c !important;
}

.btnExtra4 {
    background-color: #45a784 !important;
}

.btnClose, .btnAdd, .btnFilter, .btnSearch, .btnRefresh, .btnClear, .btnReset, .btnSave, .btnSelect, .btnView, .btnExtra1, .btnExtra2, .btnExtra3, .btnExtra4 {
    font-size: 14px !important;
    font-weight: 500 !important;
    padding: 4px 15px !important;
    color: white !important;
    border: none !important;
    border-radius: 0px !important;
    text-transform: capitalize !important;
}

/* Grid css */
.k-header {
    text-align: center !important;
    justify-content: center !important;
}

.k-grid .k-grid-header .k-table-th {
    vertical-align: middle !important;
}

.k-grid {
    padding: 0 !important;
    border: 1px solid #c3c3c3 !important;
    border-radius:0px !important;
}

    .k-grid .k-grid-header .k-header { 
        background: linear-gradient(120deg, #f8fafc, #f1f5f9) !important;
        color: black !important;
        font-weight: 600 !important;
        padding: 8px 6px !important;
        font-size: 11.6px !important;
        text-transform: uppercase;
        letter-spacing: 0.5px;
        text-align: center !important;
    }

    .k-grid tbody tr {
        font-size: 12.8px !important;
    }

    .k-grid tbody td {
        padding: 5px !important;
    }

    .k-grid tbody > tr td {
        border-bottom: 1px solid #00000017;
    }

    .k-grid tr.k-alt {
        background-color: transparent;
    }

.k-checkbox-wrap {
    display: flex !important;
    justify-content: center !important;
}

.k-table-td.k-command-cell {
    text-align: center !important;
}

.edit-icon {
    color: blue !important;
    background-color: #f3f3f3 !important;
    border: none !important;
    font-size: 16px !important;
    padding: 3px !important;
}

.delete-icon {
    color: red !important;
    text-align: center !important;
    background-color: #f3f3f3 !important;
    border: none !important;
    font-size: 16px !important;
    padding: 3px !important;
}

/* MudDialog css */
.mud-overlay .mud-overlay-scrim.mud-overlay-dark {
    background-color: #21212138 !important;
}

.mud-dialog-title {
    border-bottom: 1px solid lightgray !important;
    padding: 10px 0px !important;
    margin: 0px 10px !important;
}

.mud-dialog .mud-dialog-content {
    padding: 15px !important;
    margin: 0px !important;
}

.mud-tabs-panels {
    border: 1px solid #dfdfdf !important;
}

.mud-tab {
    font-size: 15px !important;
    font-weight: 600 !important;
    text-transform: capitalize !important;
    min-width: auto !important;
    color: #365c83 !important;
    background-color: #f0f0f0 !important;
    border-radius: 15px 15px 3px 3px;
    border-left: 2px solid #f0f0f0 !important;
    border-top: 2px solid #f0f0f0 !important;
    border-right: 2px solid #f0f0f0 !important;
}

    .mud-tab.mud-tab-active {
        color: #365c83 !important;
        background-color: transparent !important;
        border-left: 2px solid #35a3b5 !important;
        border-top: 2px solid #35a3b5 !important;
        border-right: 2px solid #35a3b5 !important;
        border-radius: 10px 10px 3px 3px;
    }

.mud-tabs-tabbar-wrapper .mud-tooltip-root {
    padding: 0rem !important;
}

.mud-tab-slider {
    background: #35a3b5 !important;
    display: none !important;
}

.mud-list-item {
    padding: 0px 10px !important;
}

.mud-list-item-text p {
    font-size: 14px !important;
}

.form-control {
    padding: 6px 8px !important;
    font-size: 14px !important;
}

.form-select {
    padding: 6px 8px !important;
    font-size: 14px !important;
}

.mud-input.mud-input-outlined.mud-input-adorned-end {
    padding-right: 6px !important;
}

.mud-input-outlined .mud-icon-root {
    font-size: 20px;
}


@media screen and (max-width: 1024px) and (max-height: 768px) {
    .lbl {
        font-size:12px !important;
    }

    .mud-tab {
        font-size:13px !important;
    }

    .pagetitle {
        font-size: 14px !important;
    }

    .modaltitle {
        font-size: 14px !important;
    }

    .chklabel p {
        font-size: 12.3px !important;
    }

    .mud-switch-label-medium {
        font-size: 13px !important;
    }

    .mud-input > input.mud-input-root-outlined {
        padding: 5px 8px !important;
        font-size: 12px !important;
    }

    .mud-select .mud-select-input .mud-input-slot {
        padding: 5px 8px !important;
        font-size: 12px !important;
    }

    .mud-input > textarea.mud-input-root-outlined {
        font-size: 12px !important;
    }

    .scheduler-bordertitle {
        font-size: 14px;
        font-size: 12px;
        top: -0.6rem;
    }

    .form-control {
        padding: 5px 8px !important;
        font-size: 12px !important;
    }

    .form-select {
        padding: 5px 8px !important;
        font-size: 12px !important;
    }

    .k-grid .k-grid-header .k-header {
        font-size: 11.5px !important;
    }

    .k-grid tbody tr {
        font-size: 11.5px !important;
    }

    .k-grid tbody td {
        padding: 0px 5px !important;
    }

    .edit-icon {
        font-size: 14px !important;
        padding: 2px !important;
    }

    .delete-icon {
        font-size: 14px !important;
        padding: 2px !important;
    }
    .mud-input-outlined .mud-icon-root {
        font-size: 18px;
    }
}

